# AerForge
A game engine made with SDL.

## Getting Started
1) Open cmd/terminal and type:

```
pip install AerForgeSDL
```

## Examples
# Creating a window
``` python
from aerforgesdl import *

forge = ForgeSDL()

forge.run()
```

# Creating a cube
``` python
from aerforgesdl import *

forge = ForgeSDL()

class Cube(Entity):
    def __init__(self):
        super().__init__(
            window = forge,
            width = 20,
            height = 20,
            x = 0,
            y = 0,
            color = Color(0, 255, 255)
        )

        self.center()

cube = Cube()

@forge.draw
def draw():
    cube.draw()

forge.run()
```